#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		pdir	Authen
%define		pnam	NTLM
Summary:	Authen::NTLM - Perl extension for NTLM related computations
Summary(pl.UTF-8):	Authen::NTLM - rozszerzenie Perla o obliczenia oparte na NTLM
Name:		perl-Authen-NTLM
Version:	1.09
Release:	2%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	da314ee94b14af2a2f39b6f2c0046e73
URL:		http://search.cpan.org/dist/Authen-NTLM/
BuildRequires:	perl-Crypt-DES >= 2.03
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-MD4 >= 1.1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Crypt::DES_PP)' 'perl(Digest::Perl::MD4)'

%description
The NTLM (Windows NT LAN Manager) authentication scheme is the
authentication algorithm used by Microsoft.

NTLM authentication scheme is used in DCOM and HTTP environment. It is
used to authenticate DCE RPC packets in DCOM. It is also used to
authenticate HTTP packets to MS Web Proxy or MS Web Server.

As of this version, NTLM module only provides the client side
functions to calculate NT response and LM response.

%description -l pl.UTF-8
Schemat autentykacji NTLM (Windows NT LAN Manager) jest algorytmem
autentykacji używanym przez Microsoft.

Schemat autentykacji NTLM jest wykorzystywany w środowiskach DCOM i
HTTP. W DCOM służy do autentykacji pakietów DCE RPC. W HTTP jest
wykorzystywany do autentykacji pakietów HTTP przez MS Web Proxy i MS
Web Server.

Aktualna wersja modułu NTLM zawiera jedynie wsparcie dla funkcji
obliczających odpowiedzi NT i LM po stronie klienta.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Authen/NTLM.pm
%{perl_vendorlib}/Authen/NTLM
%{_mandir}/man3/*
%changelog
* Thu May 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Authen-NTLM.git;a=log;h=16a63b4dadc7ab40f4efc1f9c3ce3f0fc3c3dcc8

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 16a63b4
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> e30eb97
- use generic url

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 11daad2
- updated BRs
- rel 2

* Thu Jun 21 2012 Adam Osuchowski <adwol@pld-linux.org> 9d4766f
- up to 1.09

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1129c7c
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c28d08b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 08f126d
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 500a9fb
- formatting

* Sun May 23 2004 ankry <ankry@pld-linux.org> 0b831a4
- fixed BR, rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 6352a81
- fixed perl-devel BR

* Fri Apr 16 2004 ankry <ankry@pld-linux.org> 92b1b13
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 0c8ed54
- caps and other cosmetics

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> da5b8b8
- new style bconds

* Sun Sep 21 2003 Adam Gołębiowski <adamg@pld-linux.org> 8ebf14b
- updated to 0.31

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 4fe0ffb
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 072a221
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Apr 27 2003 radek <radek@pld-linux.org> 72b511f
- fixed for perl-5.8.0; release 2

* Fri Apr 11 2003 radek <radek@pld-linux.org> 15bb1e6
- BR: perl-devel; do not BR: perl

* Sun Apr 06 2003 ankry <ankry@pld-linux.org> 7c9bb2e
- new

